Bug 817013 - openl2tp plugin is built incorrectly.
openl2tp plugin is built incorrectly.
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-27 08:49 EDT by David Woodhouse
Modified: 2012-06-19 20:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-19 20:27:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2012-04-27 08:49:45 EDT
The openl2tp plugin has a dirty hack to handle multilink channels coming up, but it's being compiled out. Multilink support is enabled by having -DHAVE_MULTILINK in $CFLAGS... but although we build the dæmon that way, we *aren't* building the plugins with that flag.

So doing_multilink and multilink_master, the variables that are checked by the openl2tp plugin, are both #defined to zero when we build it. And thus openl2tp will never receive notification that the channel came up.
Comment 1 Michal Sekletar 2012-05-21 07:19:24 EDT
I've fixed issue in rawhide. You can download rpm here : http://koji.fedoraproject.org/koji/taskinfo?taskID=4091134
Please let me know if it works for you. Your feedback is appreciated, thank you.
Comment 2 Fedora Update System 2012-05-29 08:45:09 EDT
ppp-2.4.5-21.fc16 has been submitted as an update for Fedora 16.
Comment 3 Fedora Update System 2012-05-29 09:05:59 EDT
ppp-2.4.5-22.fc17 has been submitted as an update for Fedora 17.
Comment 4 Fedora Update System 2012-05-29 12:19:25 EDT
Package ppp-2.4.5-22.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ppp-2.4.5-22.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-19 20:27:48 EDT
ppp-2.4.5-22.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.